com.jscape.filetransfer

## Class FileTransferListener.Adapter

- java.lang.Object
- - com.jscape.filetransfer.FileTransferListener.Adapter

- All Implemented Interfaces:
    FileTransferListener, java.util.EventListener
  Enclosing interface:
    FileTransferListener

      public static class FileTransferListener.Adapter
      extends java.lang.Object
      implements FileTransferListener

  A listener adapter. Provides default (empty) call-back methods.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.jscape.filetransfer.FileTransferListener

      `FileTransferListener.Adapter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Adapter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `changeDir(FileTransferChangeDirEvent event)` Invoked when the remote directory path is changed.
    `void` | `commandSent(FileTransferCommandEvent event)` Invoked when a command is sent to server.
    `void` | `connected(FileTransferConnectedEvent event)` Invoked when connection to server is established.
    `void` | `createDir(FileTransferCreateDirEvent event)` Invoked when a directory is created.
    `void` | `deleteDir(FileTransferDeleteDirEvent event)` Invoked when directory is deleted.
    `void` | `deleteFile(FileTransferDeleteFileEvent event)` Invoked when a file is deleted.
    `void` | `disconnected(FileTransferDisconnectedEvent event)` Invoked when connection to server is released.
    `void` | `download(FileTransferDownloadEvent event)` Invoked when file is downloaded from server.
    `void` | `progress(FileTransferProgressEvent event)` Invoked to mark progress of a download or upload operation.
    `void` | `renameFile(FileTransferRenameFileEvent event)` Invoked when a file is renamed.
    `void` | `responseReceived(FileTransferResponseEvent event)` Invoked when a response is received from server.
    `void` | `sslHandshakeCompleted(FileTransferSslHandshakeEvent event)` Invoked when SSL handshake is completed in SSL-based transfer.
    `void` | `upload(FileTransferUploadEvent event)` Invoked when file is uploaded to server.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Adapter

          public Adapter()

  - ### Method Detail

    - #### connected

          public void connected(FileTransferConnectedEvent event)

      Description copied from interface: `FileTransferListener`
      Invoked when connection to server is established.
      Specified by:
        `connected` in interface `FileTransferListener`
      Parameters:
        `event` - a `FileTransferConnectedEvent`
      See Also:
        `FileTransferConnectedEvent`

    - #### disconnected

          public void disconnected(FileTransferDisconnectedEvent event)

      Description copied from interface: `FileTransferListener`
      Invoked when connection to server is released.
      Specified by:
        `disconnected` in interface `FileTransferListener`
      Parameters:
        `event` - a `FileTransferDisconnectedEvent`
      See Also:
        `FileTransferDisconnectedEvent`

    - #### sslHandshakeCompleted

          public void sslHandshakeCompleted(FileTransferSslHandshakeEvent event)

      Description copied from interface: `FileTransferListener`
      Invoked when SSL handshake is completed in SSL-based transfer.
      Specified by:
        `sslHandshakeCompleted` in interface `FileTransferListener`
      Parameters:
        `event` - an event instance
      See Also:
        `FileTransferSslHandshakeEvent`

    - #### commandSent

          public void commandSent(FileTransferCommandEvent event)

      Description copied from interface: `FileTransferListener`
      Invoked when a command is sent to server.
      Specified by:
        `commandSent` in interface `FileTransferListener`
      Parameters:
        `event` - a `FileTransferCommandEvent`
      See Also:
        `FileTransferCommandEvent`

    - #### responseReceived

          public void responseReceived(FileTransferResponseEvent event)

      Description copied from interface: `FileTransferListener`
      Invoked when a response is received from server.
      Specified by:
        `responseReceived` in interface `FileTransferListener`
      Parameters:
        `event` - a `FileTransferResponseEvent`
      See Also:
        `FileTransferResponseEvent`

    - #### upload

          public void upload(FileTransferUploadEvent event)

      Description copied from interface: `FileTransferListener`
      Invoked when file is uploaded to server.
      Specified by:
        `upload` in interface `FileTransferListener`
      Parameters:
        `event` - a `FileTransferUploadEvent`
      See Also:
        `FileTransferUploadEvent`

    - #### download

          public void download(FileTransferDownloadEvent event)

      Description copied from interface: `FileTransferListener`
      Invoked when file is downloaded from server.
      Specified by:
        `download` in interface `FileTransferListener`
      Parameters:
        `event` - a `FileTransferDownloadEvent`
      See Also:
        `FileTransferDownloadEvent`

    - #### progress

          public void progress(FileTransferProgressEvent event)

      Description copied from interface: `FileTransferListener`
      Invoked to mark progress of a download or upload operation.
      Specified by:
        `progress` in interface `FileTransferListener`
      Parameters:
        `event` - a `FileTransferProgressEvent`
      See Also:
        `FileTransferProgressEvent`

    - #### changeDir

          public void changeDir(FileTransferChangeDirEvent event)

      Description copied from interface: `FileTransferListener`
      Invoked when the remote directory path is changed.
      Specified by:
        `changeDir` in interface `FileTransferListener`
      Parameters:
        `event` - a `FileTransferChangeDirEvent`
      See Also:
        `FileTransferChangeDirEvent`

    - #### createDir

          public void createDir(FileTransferCreateDirEvent event)

      Description copied from interface: `FileTransferListener`
      Invoked when a directory is created.
      Specified by:
        `createDir` in interface `FileTransferListener`
      Parameters:
        `event` - a `FileTransferCreateDirEvent`
      See Also:
        `FileTransferCreateDirEvent`

    - #### deleteDir

          public void deleteDir(FileTransferDeleteDirEvent event)

      Description copied from interface: `FileTransferListener`
      Invoked when directory is deleted.
      Specified by:
        `deleteDir` in interface `FileTransferListener`
      Parameters:
        `event` - a `FileTransferDeleteDirEvent`
      See Also:
        `FileTransferDeleteDirEvent`

    - #### renameFile

          public void renameFile(FileTransferRenameFileEvent event)

      Description copied from interface: `FileTransferListener`
      Invoked when a file is renamed.
      Specified by:
        `renameFile` in interface `FileTransferListener`
      Parameters:
        `event` - a `FileTransferRenameFileEvent`
      See Also:
        `FileTransferRenameFileEvent`

    - #### deleteFile

          public void deleteFile(FileTransferDeleteFileEvent event)

      Description copied from interface: `FileTransferListener`
      Invoked when a file is deleted.
      Specified by:
        `deleteFile` in interface `FileTransferListener`
      Parameters:
        `event` - a `FileTransferDeleteFileEvent`
      See Also:
        `FileTransferDeleteFileEvent`

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved